#
# spec file for package gnome-terminal (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-terminal
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  gconf2-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  scrollkeeper
BuildRequires:  startup-notification-devel
BuildRequires:  update-desktop-files
BuildRequires:  vte-devel
License:        GPLv2+ ; LGPLv2.1+
Group:          System/X11/Terminals
Obsoletes:      gnome-core
Version:        2.28.2
Release:        1.1.1
Summary:        The GNOME 2.x Desktop Terminal
Source:         %{name}-%{version}.tar.bz2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2
Patch0:         gnome-terminal-desktop.patch
Requires:       %{name}-lang = %{version}
%gconf_schemas_prereq

%description
This package contains the GNOME 2.x Desktop Terminal program. It is
handy for quick tasks on the command line.



%lang_package
%prep
%setup -q
%patch0 -p1

%build
# autoreconf -f -i
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# Some doc translations are not ported to gnome-doc-utils, so we still have to
# do this. When this won't be needed anymore, we'll be able to remove
# scrollkeeper from BuildRequires.
rm -r $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
%suse_update_desktop_file -G "Command Line Terminal" %name TerminalEmulator
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome-terminal
%{_datadir}/applications/gnome-terminal.desktop
%{_datadir}/gnome-terminal

%files lang -f %{name}.lang

%changelog
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Updated translations
- Changes from version 2.28.1:
  + bgo#597378 - Small memory leaks.
* Fri Sep 25 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Thu Sep 10 2009 lmedinas@opensuse.org
- Update to version 2.27.92:
  + bgo#500563 - Update to GNOME Help Centre OMF Files for "Issue
    24: Documentation Meta-data" of GNOME's GHOP Contest
  + bgo#553357 - Options in drop down boxes are not translated
  + bgo#564648 - when switching to/from compositing enabled, windows
    appear as new
  + bgo#565328 - Factory prevents unmounting of device
  + bgo#566335 - No obvious way to leave fullscreen
  + bgo#571002 - URL linking also selects trailing dot.
  + bgo#573279 - Accelerator for "Cancel" and "Close this window"
    in close dialog is the same
  + bgo#574207 - Missing translator comment
  + bgo#574776 - gnome-terminal crashed with SIGSEGV in
    gtk_menu_shell_select_first()
  + bgo#575295 - Question-button label mismatch in the closing
    dialog
  + bgo#575308 - Make gnome-terminal session loading work
  + bgo#576675 - gnome terminal treats pixelsized fonts point sized
  + bgo#577025 - Use of uninitialized variables
  + bgo#577313 - gnome-terminal crashed with SIGSEGV in
    gtk_ui_manager_remove_ui()
  + bgo#582861 - Tango profile black color is not black
  + bgo#583690 - Setting keyboard shortcuts via mandatory gconf
    settings no longer works
  + bgo#584943 - Creating new profile results in grayed out
    preferences on first view
  + bgo#586308 - annoying session-saving misbehaviour
  + bgo#587305 - wrong path in generated file
  + bgo#590885 - possible typo
  + bgo#590952 - gnome-terminal can't discriminate between shell
    and commands anymore
  + bgo#594025 - crash in Terminal: running cat /dev/urandom
  + Translation updates.
* Thu Aug 20 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + bgo#575308 - Make gnome-terminal session loading work
  + bgo#561663 - gnome-terminal crashes when gconf isn't set up
    correctly
  + bgo#572549 - Memory corruption in gnome-terminal
  + bgo#574776 - gnome-terminal crashed with SIGSEGV
    in gtk_menu_shell_select_first()
  + bgo#576675 - gnome terminal treats pixelsized fonts point sized
  + bgo#583690 - Setting keyboard shortcuts via mandatory gconf
    settings no longer works
  + bgo#586308 - annoying session-saving misbehaviour
  + bgo#590952 - gnome-terminal can't discriminate between shell
    and commands anymore
  + Translation updates.
* Tue Aug  4 2009 vuntz@novell.com
- Do not package omf files twice.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.26.3.1:
  + Build fix.
- Changes from version 2.26.3:
  + Try keeping the icon title in sync with the real title
  + Fix various issues when enabling/disabling a compositing
    manager (bgo#564648)
  + Print "Close this window?" only if more than one tab would be
    closed (bgo#575295)
  + Fix profile editor on new profile being greyed out (bgo#584943)
  + Misc fixes.
  + Updated translations.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.26.2:
  + Updated translations.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + bgo#500563: Update to GNOME Help Centre OMF Files
  + bgo#574207: Missing translator comment
  + bgo#575308: Make gnome-terminal session loading work
  + bgo#576675: gnome terminal treats pixelsized fonts point sized
  + bgo#577025: Use of uninitialized variables
  + bgo#577313: Fix crash
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 2.26.0:
  + bgo#570591: running 'reset' shrinks the terminal window.
  + bgo#572414: Close this terminal' warning labels button as
    'Close Window'
  + Fix possible gsize wraparound issue when demarshaling the data
  + Correct the pspec ID.
  + bgo#572549: Memory corruption in gnome-terminal.
  + Updated translations.
* Mon Mar  9 2009 vuntz@novell.com
- Remove -fno-strict-aliasing from CFLAGS.
- Do not add DocPath to desktop file: it's not needed by yelp.
* Tue Feb 17 2009 mboman@suse.de
- Update to version 2.25.91:
  + Translation updates
- Remove docbook_4, gnome-common, gnutls-devel, libglade2-devel,
  libgnomeprintui-devel, libwnck-devel, perl-XML-Parser,
  scrollkeeper from BuildRequires
- Add gconf2-devel, dbus-1-glib-devel to BuildRequires
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Sun Feb  1 2009 mboman@suse.de
- Update to version 2.25.5:
  + Break out of the loop once the work's done.
  + Call g_thread_init(). bgo#565516
  + chdir() to /home/chpe in the factory process, so we don't hog any
    mountpoints. bgo#565328
  + Reorder this conditional so we only get the RGBA colourmap if
    compositing is enabled.
  + bgo#506686 – could be smarter when parsing parenthesis
    (for URL construction)
  + Set the default keybindings also in the table in the code. Fixes accels
    with borked GConf; part of bgo#564649.
  + Translation updates
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + Libbonobo dependency dropped
  + Libgnome and libgnomeui dependency dropped
  + Depends on VTE 0.19
  + Now uses DBus for single instance/factory setup
  + Many bugs fixed
  + Translation updates
* Sat Dec  6 2008 mauro@suse.de 
- Updated translations.
* Thu Oct 23 2008 maw@suse.de
- Update to version 2.24.1.1:
  + Revert the fix for bgo#548600 because it causes a regression.
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Bugs fixed: bgo#552952, bgo#453193, bgo#548388, bgo#548600
    bgo#554485, bgo#555824, bgo#552938, bgo#552943, bgo#552950
    bgo#553512
  + Translation updates
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Bug fixed: bgo#553111
  + Updated translations
- Respin gnome-terminal-desktop.patch.
* Mon Sep  1 2008 mboman@novell.com
- Update to version 2.23.91:
  + Bugs fixed: bgo#549308, bgo#399744, bgo#401547, bgo#151794,
    bgo#519191
  + Plug a mem leak.
  + Don't try to g_strfreev something we don't own.
  + Make the terminal window's role distinct from other g-t window's role,
    to be able to match just them with devilspie.
  + Use a static window role for the single instance encodings dialogue.
  + Updated translations.
* Tue Aug  5 2008 captain.magnus@opensuse.org
- Update to version 2.23.6:
  + g_listenv returns only the env var names, not name=value pairs.
  + Translation updates
* Wed Jun 25 2008 maw@suse.de
- Update to version 2.23.4.2:
  + Bugs fixed: bgo#536463, bgo#528683, bgo#418192, bgo#537112,
    bgo#537888, bgo#536899, bgo#537215, bgo#536639, bgo#538809,
    brc450808, and brc#450979
- Drop the following upstreamed patch:
  gnome-terminal-2.18.1-correct-help-uri.patch.
* Mon May  5 2008 jpr@suse.de
- Remove gnome-terminal-force-terminal-draw.patch, it was fixed
  in a different way upstream, see bgo #338913
- Remove gnome-terminal-uninited-vars.patch, the simple font
  selector it applied against was removed
* Fri Apr 11 2008 maw@suse.de
- Update to version 2.22.1:
  + Bugs fixed: bgo#521193 and bgo#521417.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Thu Mar 13 2008 vuntz@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Wed Mar  5 2008 maw@suse.de
- Update to version 2.21.92:
  + Ensure menu items are always drawn
  + Stop forcing invisible_char to *
  + Updated translations.
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.91.1:
  + Adapt to new GChecksum API
  + Fix cropped tab close buttons when using recent versions of
    gnome-icon-theme
  + Fix for bgo#336155
  + Updated translations
- Respin gnome-terminal-defaults.patch and
  gnome-terminal-desktop.patch.
* Wed Jan 30 2008 rodrigo@suse.de
- Update to version 2.21.90:
  * Use the gtk-cursor-blink setting and remove the profile option
  * Remove extra frame from profile editor
  * Use G_STRFUNC instead of the deprecated G_GNUC_FUNCTION
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.18.2:
  * license confusion fix
  * documentation migrated to gnome-doc-utils
  * use Tango terminal color scheme by default
* Sat Sep 15 2007 hpj@suse.de
- Add gnome-terminal-2.18.1-correct-help-uri.patch so we can find
  our help files correctly.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Tue Jul 10 2007 maw@suse.de
- Update to version 2.18.1
- Several crashes fixed.
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Thu Apr 12 2007 maw@suse.de
- Update to version 2.18.0
- Fixes for bugzilla.gnome.org #412733 and #410281.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.91
  - Plug a memory leak.
  - Do not disable some keybindings when DnDing notebook pages.
  - Include the Tango color scheme.
  - Remember the zoom setting for new tabs.
  - Do not have clashing shortcuts in popups.
  - Do not resize when switching between tabs, hopefully.
  - Focus new terminals when they are created, always.
  - Handle long terminal titles better.
  - Do not paint initially terminals black.
  - Various UI updates and inconsistencies eliminated.
  - A few crashes fixed.
- Remove upstreamed gnome-terminal-tab_resize_fix_r2082.patch
* Mon Feb 26 2007 sbrabec@suse.cz
- Fixed invalid window resize (#211443).
* Wed Jan 17 2007 sbrabec@suse.cz
- Removed obsolete scrollkeeper directory (#230786).
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
* Fri Dec 15 2006 maw@suse.de
- Move to /usr.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Fri Oct 13 2006 jhargadon@suse.de
- added gnome-doc-utils-devel in BuildRequires.
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- Honours the --title switch
- Fixes a couples of memory leaks
- New and updated translations
* Mon Oct  2 2006 oswerkstrom@suse.de
- Bug 177355 - gnome-terminal --title command ignored.
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- Bug 354056 – Build broken: missing help/fr/Makefile.am
- Bug 351319 – crash on Terminal
- Part of Bug 352873 – crash in Terminal: Edit current profile aft...
- Bug 353020 – Detaching a tab does not preserve the size
- Bug 336943 – Critical warning and crash in gnome-terminal
- Bug 138609 – Next/prev TAB keybindings should not be passed through
  on  first/last tab
- Fix intltool req.
* Mon Aug 21 2006 jhargadon@suse.de
- update to version 2.15.4
- Bug 349459 – does not assert dependency on gdk 2.10
- Bug 85926 – dnd'd filenames should be escaped
- Bug 324426 – Open/close tab adds row to terminal
- Bug 336947 – [patch] Redundant vte_terminal_set_font_full() calls
- Use real transparency when it's available
- Improve the dialog to ask for confirmation when closing a window
  with more than one tab open
- Migrated to gnome-doc-utils
- Exports authentication proxy settings
- Fixes the close button of the about dialog
- Includes final slashes on URL highlighting
- Eliminates superfluous resize on drag-n-drop
- updates to translations
* Tue Mar  7 2006 gekker@suse.de
- Disable menu accelerators by default (#143086)
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 18 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep  6 2005 jpr@suse.de
- Update to version 2.12.0
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.11.2
* Fri Jul 22 2005 gekker@suse.de
- Update to version 2.11.1
- Fix uninitialized variables
* Tue Mar 22 2005 sbrabec@suse.cz
- Reverted TERM to xterm (#73798).
* Wed Mar 16 2005 clahey@suse.de
- Change desktop Name to Gnome Terminal.
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- update version to 2.9.3
* Thu Jan 20 2005 gekker@suse.de
- Update version to 2.9.2
* Thu Nov 25 2004 ro@suse.de
- added suse_update_desktop_file
* Mon Nov 22 2004 sbrabec@suse.cz
- Set TERM=gnome. It fixes screen garbling in mutt (#43189).
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Fri Aug 27 2004 clahey@suse.de
- Cache gnome-terminal help and show gnome-terminal in khelpcenter.
* Wed May 12 2004 clahey@suse.de
- Upgraded to 2.6.0.
- Upgraded patches.
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Wed Feb 25 2004 hhetter@suse.de
- remove schema patch, obsoleted by new one
- include gnome-terminal-defaults.patch: don't use
  system font, don't use mnemonics in the menubar
* Mon Feb 16 2004 hhetter@suse.de
- install schemas in %%post and %%postun
* Sat Jan 10 2004 adrian@suse.de
- fix build as user
* Tue Nov 11 2003 hhetter@suse.de
- updated to version 2.4.2
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Mon Sep 29 2003 hhetter@suse.de
- updated to version 2.4.0.1 [GNOME2.4]
* Mon Sep 22 2003 sbrabec@suse.cz
- Obsolete gnome-core (bug #31480),
* Mon Sep  8 2003 sbrabec@suse.cz
- Use RPM_OPT_FLAGS.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Clean-up of neededforbuild.
* Mon Jun 30 2003 ro@suse.de
- use gnome2-devel-packages in neededforbuild
- use find_lang
- added directories to filelist
* Wed Feb 12 2003 hhetter@suse.de
- don't used font size from system fonts but use
  the font specified in the schema file for the
  default profile
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.0
- fix kde datadir
* Thu Jan 16 2003 sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.0.2 [GNOME 2.0.3]
- removed crash-on-restore.dif as it is upstream
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Sep 13 2002 sbrabec@suse.cz
- updated to version 2.0.1
- Fix for crash on session restore (post-2.0.1 fix from CVS).
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Jun 18 2002 hhetter@suse.de
- fix schema file install
* Sun Jun 16 2002 ro@suse.de
- use libpng-devel-packages in neededforbuild
* Fri Jun 14 2002 hhetter@suse.de
- updated to version 2.0.0
- provide schema file
* Wed Jun  5 2002 hhetter@suse.de
- initial SuSE Release 1.9.7
